发布时间 :2005-12-31 00:00:00
修订时间 :2008-09-20 00:43:31

[原文]Cross-site scripting (XSS) vulnerability in read.php in AdesGuestbook 2.0 allows remote attackers to inject arbitrary web script or HTML via the totalRows_rsRead parameter.

[CNNVD]Ades Design AdesGuestbook Read Script跨站脚本攻击漏洞(CNNVD-200512-915)

        AdesGuestbook 2.0的read.php中存在跨站脚本攻击漏洞,远程攻击者可以通过totalRows_rsRead参数注入任意Web脚本或HTML。

- CVSS (基础分值)

CVSS分值: 4.3 [中等(MEDIUM)]
机密性影响: NONE [对系统的机密性无影响]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: NONE [对系统可用性无影响]
攻击复杂度: MEDIUM [漏洞利用存在一定的访问条件]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)


- OVAL (用于检测的技术细节)


- 官方数据库链接
(官方数据源) MITRE
(官方数据源) NVD
(官方数据源) CNNVD

- 其它链接及资源
(UNKNOWN)  XF  adesguestbook-read-xss(23909)
(UNKNOWN)  BID  16090

- 漏洞信息

Ades Design AdesGuestbook Read Script跨站脚本攻击漏洞
中危 跨站脚本
2005-12-31 00:00:00 2006-01-10 00:00:00
        AdesGuestbook 2.0的read.php中存在跨站脚本攻击漏洞,远程攻击者可以通过totalRows_rsRead参数注入任意Web脚本或HTML。

- 公告与补丁


- 漏洞信息

AdesGuestbook read.php totalRows_rsRead Parameter XSS
Remote / Network Access Input Manipulation
Loss of Integrity
Exploit Public

- 漏洞描述

AdesGuestbook contains a flaw that allows a remote cross site scripting attack. This flaw exists because the application does not validate the 'totalRows_rsRead' variable upon submission to the 'read.php' script. This could allow a user to create a specially crafted URL that would execute arbitrary code in a user's browser within the trust relationship between the browser and the server, leading to a loss of integrity.

- 时间线

2005-12-30 Unknow
2005-12-30 Unknow

- 解决方案

Currently, there are no known upgrades, patches, or workarounds available to correct this issue.

- 相关参考

- 漏洞作者

- 漏洞信息

Ades Design AdesGuestbook Read Script Cross-Site Scripting Vulnerability
Input Validation Error 16090
Yes No
2005-12-30 12:00:00 2007-04-13 04:01:00
Discovery is credited to rakstija r0t3d3Vil.

- 受影响的程序版本

Ades Design AdesGuestbook 2.0
Ades Design AdesGuestbook 2.1

- 不受影响的程序版本

Ades Design AdesGuestbook 2.1

- 漏洞讨论

Ades Design AdesGuestbook is prone to a cross-site scripting vulnerability because the application fails to properly sanitize user-supplied input.

An attacker may leverage this issue to execute arbitrary script code in the browser of an unsuspecting user in the context of the affected site. This may help the attacker steal cookie-based authentication credentials and launch other attacks.

- 漏洞利用

The following example was provided:


- 解决方案

The vendor has released version 2.1 to address this issue.

Ades Design AdesGuestbook 2.0

- 相关参考